import { Modal as FoundationModal } from '@genesislcap/foundation-ui';
export declare const defaultModalConfig: {};
export declare const rapidModalTemplate: import("@microsoft/fast-element").ViewTemplate<FoundationModal, any>;
export declare const rapidModalShadowOptions: ShadowRootInit;
/**
 * @tagname %%prefix%%-modal
 */
export declare class Modal extends FoundationModal {
}
/**
 * The Rapid Modal
 *
 * @public
 * @remarks
 * HTML Element: \<rapid-modal\>
 */
export declare const rapidModal: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    shadowOptions: ShadowRootInit;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<FoundationModal, any>;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    shadowOptions: ShadowRootInit;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<FoundationModal, any>;
}, typeof Modal>;
//# sourceMappingURL=modal.d.ts.map