import { AccordionItem as foundationAccordionItem, defaultAccordionItemConfig, foundationAccordionItemShadowOptions, } from '@genesislcap/foundation-ui';
import { rapidAccordionItemStyles as styles } from './accordion-item.styles';
import { rapidAccordionItemTemplate as template } from './accordion-item.template';
/**
 * @tagname %%prefix%%-accordion-item
 */
export class AccordionItem extends foundationAccordionItem {
}
export const rapidAccordionItem = AccordionItem.compose(Object.assign({ baseName: 'accordion-item', template,
    styles, shadowOptions: foundationAccordionItemShadowOptions }, defaultAccordionItemConfig));
