import { html } from 'lit-html';
const meta = {
    title: 'Accordion',
    component: 'rapid-accordion',
};
export default meta;
export const Primary = {
    render: () => html `
    <rapid-accordion>
      <rapid-accordion-item slot="item" id="accordion-1" class="expanded">
        Accordion one content
        <div slot="heading">Accordion one</div>
      </rapid-accordion-item>
      <rapid-accordion-item slot="item" id="accordion-2">
        Accordion two content
        <div slot="heading">Accordion two</div>
      </rapid-accordion-item>
      <rapid-accordion-item slot="item" id="accordion-3">
        Accordion three content
        <div slot="heading">Accordion three</div>
      </rapid-accordion-item>
      <rapid-accordion-item slot="item" id="accordion-4">
        Accordion four content
        <div slot="heading">Accordion four</div>
      </rapid-accordion-item>
    </rapid-accordion>
  `,
};
