import { actionsMenuBaseStyles } from '@genesislcap/foundation-ui';
import { css } from '@microsoft/fast-element';
export const rapidActionsMenuStyles = (context, definition) => css `
  :host {
    --actions-opener-height-multiplier: 0.6px;
    --menu-item-height-multiplier: 0.5px;
  }

  ${actionsMenuBaseStyles(context, definition)}

  rapid-menu-item {
    display: flex;
    user-select: none;
  }

  rapid-menu-item::part(content) {
    margin-inline: calc(var(--design-unit) * 3px);
  }

  rapid-menu-item[disabled] {
    pointer-events: none;
  }

  .actions-vertical .actions-menu {
    padding: 0;
  }

  .actions-vertical .menu-item {
    margin: 0;
    padding: calc(var(--design-unit) * 4px);
    border-bottom: calc(var(--stroke-width) * 1px) solid var(--neutral-fill-stealth-hover);
  }

  .actions-vertical .menu-item:last-child {
    border-bottom: none;
  }

  .actions-vertical .menu-item:focus {
    border: calc(var(--stroke-width) * 1px) solid var(--accent-foreground-focus);
  }
`;
