import { Anchor as FoundationAnchor, defaultAnchorConfig, foundationAnchorShadowOptions, } from '@genesislcap/foundation-ui';
import { rapidAnchorStyles as styles } from './anchor.styles';
import { rapidAnchorTemplate as template } from './anchor.template';
/**
 * @tagname %%prefix%%-anchor
 */
export class Anchor extends FoundationAnchor {
}
export const rapidAnchor = Anchor.compose(Object.assign({ baseName: 'anchor', template,
    styles, shadowOptions: foundationAnchorShadowOptions }, defaultAnchorConfig));
