import { AnchoredRegion as FoundationAnchoredRegion, defaultAnchoredRegionConfig, foundationAnchoredRegionShadowOptions, } from '@genesislcap/foundation-ui';
import { rapidAnchoredRegionStyles as styles } from './anchored-region.styles';
import { rapidAnchoredRegionTemplate as template } from './anchored-region.template';
/**
 * @tagname %%prefix%%-anchored-region
 */
export class AnchoredRegion extends FoundationAnchoredRegion {
}
export const rapidAnchoredRegion = AnchoredRegion.compose(Object.assign({ baseName: 'anchored-region', template,
    styles, shadowOptions: foundationAnchoredRegionShadowOptions }, defaultAnchoredRegionConfig));
