import { Badge as FoundationBadge, defaultBadgeConfig, foundationBadgeShadowOptions, } from '@genesislcap/foundation-ui';
import { rapidBadgeStyles as styles } from './badge.styles';
import { rapidBadgeTemplate as template } from './badge.template';
/**
 * @tagname %%prefix%%-badge
 */
export class Badge extends FoundationBadge {
}
export const rapidBadge = Badge.compose(Object.assign({ baseName: 'badge', template,
    styles, shadowOptions: foundationBadgeShadowOptions }, defaultBadgeConfig));
