import { foundationBadgeStyles } from '@genesislcap/foundation-ui';
import { designUnit } from '@microsoft/fast-components';
import { css } from '@microsoft/fast-element';
export const rapidBadgeStyles = (context, definition) => css `
  ${foundationBadgeStyles(context, definition)}
  :host {
    --badge-fill-primary: var(--accent-fill-rest);
    --badge-fill-neutral: var(--neutral-fill-rest);
    --badge-fill-success: var(--success-color);
    --badge-fill-danger: var(--error-color);
    --badge-fill-warning: var(--warning-color);
    --badge-fill-buy: var(--buy-color);
    --badge-fill-sell: var(--sell-color);
    --badge-color-text: var(--neutral-foreground-rest);

    font-size: var(--type-ramp-minus-2-font-size);
  }

  :host .control {
    padding: calc(${designUnit} * 1px) calc(${designUnit} * 2px);
    border: none;
  }
`;
