import { foundationBannerStyles } from '@genesislcap/foundation-ui';
import { css } from '@microsoft/fast-element';
export const rapidBannerStyles = css `
  ${foundationBannerStyles}
  :host {
    --banner-height: calc(
      ((var(--design-unit) + 2) * var(--base-height-multiplier)) +
        (var(--design-unit) * var(--design-unit)) * 1px
    );
  }

  .banner {
    background-color: var(--neutral-layer-1);
    color: var(--neutral-foreground-rest);
    padding: calc(var(--design-unit) * 4px);
  }

  .content {
    font-size: var(--type-ramp-base-font-size);
    font-family: var(--body-font);
    line-height: var(--type-ramp-base-line-height);
  }
`;
