import { BreadcrumbItem as FoundationBreadcrumbItem, defaultBreadcrumbItemConfig, foundationBreadcrumbItemShadowOptions, } from '@genesislcap/foundation-ui';
import { rapidBreadcrumbItemStyles as styles } from './breadcrumb-item.styles';
import { rapidBreadcrumbItemTemplate as template } from './breadcrumb-item.template';
export class BreadcrumbItem extends FoundationBreadcrumbItem {
}
/**
 * The rapid Breadcrumb Item
 *
 * @public
 * @remarks
 * HTML Element: \<rapid-breadcrumb-item\>
 */
export const rapidBreadcrumbItem = BreadcrumbItem.compose(Object.assign({ baseName: 'breadcrumb-item', template,
    styles, shadowOptions: foundationBreadcrumbItemShadowOptions }, defaultBreadcrumbItemConfig));
