import { foundationBreadcrumbItemStyles } from '@genesislcap/foundation-ui';
import { css } from '@microsoft/fast-element';
export const rapidBreadcrumbItemStyles = (context, definition) => css `
  ${foundationBreadcrumbItemStyles(context, definition)}
  .listitem {
    color: var(--accent-foreground-rest);
  }

  .control {
    color: var(--neutral-foreground-rest);
  }

  .control:hover {
    color: var(--neutral-foreground-rest);
  }

  .separator {
    color: var(--neutral-stroke-rest);
    margin: 0 12px;
  }

  .control:hover .content::before {
    background: var(--neutral-foreground-rest);
  }

  .control .start {
    width: calc(var(--base-height-multiplier) * 3px);
    height: calc(var(--base-height-multiplier) * 3px);
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: calc(var(--control-corner-radius) * 1px);
    margin: 0 -4px 0 0;
  }

  .control:hover .start {
    background: color-mix(in srgb, var(--neutral-foreground-rest), transparent 95%);
  }
`;
