import { Breadcrumb as FoundationBreadcrumb } from '@genesislcap/foundation-ui';
import { rapidBreadcrumbStyles as styles } from './breadcrumb.styles';
import { rapidBreadcrumbTemplate as template } from './breadcrumb.template';
/**
 * @tagname %%prefix%%-breadcrumb
 */
export class Breadcrumb extends FoundationBreadcrumb {
}
// explicitly declaring for extensibility
export const rapidBreadcrumbShadowOptions = undefined;
export const defaultBreadcrumbConfig = {};
/**
 * The rapid Breadcrumb
 *
 * @public
 * @remarks
 * HTML Element: \<rapid-breadcrumb\>
 */
export const rapidBreadcrumb = Breadcrumb.compose(Object.assign({ baseName: 'breadcrumb', template,
    styles, shadowOptions: rapidBreadcrumbShadowOptions }, defaultBreadcrumbConfig));
