import { foundationCardStyles } from '@genesislcap/foundation-ui';
import { neutralForegroundRest } from '@microsoft/fast-components';
import { css } from '@microsoft/fast-element';
export const rapidCardStyles = (context, definition) => css `
  ${foundationCardStyles(context, definition)}
  :host {
    background: var(--neutral-layer-card-container);
    color: ${neutralForegroundRest};
    border: 1px solid var(--neutral-stroke-rest); /** uses a token instead of #2E3339 value available in ux docs */

    /* box-shadow and border-radius are being calculated at host
      level by using design-tokens */
  }

  ::slotted(rapid-card) {
    background: var(--neutral-layer-3);
  }
`;
