import { Checkbox as FoundationCheckbox, defaultCheckboxConfig, foundationCheckboxShadowOptions, } from '@genesislcap/foundation-ui';
import { rapidCheckboxStyles as styles } from './checkbox.styles';
import { rapidCheckboxTemplate as template } from './checkbox.template';
export class Checkbox extends FoundationCheckbox {
}
export const rapidCheckbox = Checkbox.compose(Object.assign({ baseName: 'checkbox', template,
    styles, shadowOptions: foundationCheckboxShadowOptions }, defaultCheckboxConfig));
