import { foundationCheckboxStyles } from '@genesislcap/foundation-ui';
import { css } from '@microsoft/fast-element';
export const rapidCheckboxStyles = (context, definition) => css `
  ${foundationCheckboxStyles(context, definition)}
  :host([aria-checked='true']:not([disabled])) .control:hover .checked-indicator {
    fill: var(--neutral-foreground-rest);
  }

  .checked-indicator {
    fill: var(--neutral-foreground-rest);
    box-shadow: 2px 1000px 1px rgb(0 0 0 / 20%) inset;
    border-radius: calc(var(--control-corner-radius) * 1px);
  }

  .label {
    padding-inline-start: calc(var(--design-unit) * 2px);
  }
`;
// fill was --foreground-on-accent-rest
