import { foundationDisclosureStyles } from '@genesislcap/foundation-ui';
import { css } from '@microsoft/fast-element';
export const rapidDisclosureStyles = (context, definition) => css `
  ${foundationDisclosureStyles(context, definition)}
  :host {
    font-size: var(--type-ramp-base-font-size);
    font-family: var(--body-font);
    line-height: var(--type-ramp-base-line-height);
    color: var(--neutral-foreground-rest);
  }

  :host([appearance='accent']) .invoker {
    padding: calc((10 + (var(--design-unit) * 2 * var(--density))) * 1px);
  }

  #disclosure-content {
    padding: 0 calc(var(--design-unit) * 4px) calc(var(--design-unit) * 4px);
    text-align: center;
  }
`;
