import { defaultDividerConfig, Divider as FoundationDivider, foundationDividerShadowOptions, } from '@genesislcap/foundation-ui';
import { rapidDividerStyles as styles } from './divider.styles';
import { rapidDividerTemplate as template } from './divider.template';
/**
 * @tagname %%prefix%%-divider
 */
export class Divider extends FoundationDivider {
}
export const rapidDivider = Divider.compose(Object.assign({ baseName: 'divider', template,
    styles, shadowOptions: foundationDividerShadowOptions }, defaultDividerConfig));
