import { DropdownMenu as FoundationDropdownMenu, foundationDropdownMenuTemplate as template, } from '@genesislcap/foundation-ui';
import { rapidDropdownMenuStyles as styles } from './dropdown-menu.styles';
/**
 * @tagname %%prefix%%-dropdown-menu
 */
export class DropdownMenu extends FoundationDropdownMenu {
}
/**
 * The rapid Dropdown Menu
 *
 * @public
 * @remarks
 * HTML Element: \<rapid-dropdown-menu\>
 */
export const rapidDropdownMenu = DropdownMenu.compose({
    baseName: 'dropdown-menu',
    styles,
    template,
});
