import { dropdownMenuBaseStyles } from '@genesislcap/foundation-ui';
import { css } from '@microsoft/fast-element';
export const rapidDropdownMenuStyles = (context, definition) => css `
  ${dropdownMenuBaseStyles('rapid', context, definition)}

  .actions-menu {
    border-radius: calc(var(--control-corner-radius) * 1px) calc(var(--control-corner-radius) * 1px);
    border: calc(var(--stroke-width) * 1px) solid var(--neutral-stroke-rest);
    gap: 0;
    margin: calc(var(--design-unit) * 1px) 0;
  }

  rapid-menu {
    margin: 0 0 calc(var(--design-unit) * 1px) calc(var(--design-unit) * -2px);
    border-radius: calc(var(--control-corner-radius) * 1px) calc(var(--control-corner-radius) * 1px);
    border: calc(var(--stroke-width) * 1px) solid var(--neutral-stroke-rest);
  }
`;
