import { foundationFilterStyles } from '@genesislcap/foundation-ui';
import { css } from '@microsoft/fast-element';
export const rapidFilterStyles = (context, definition) => css `
  ${foundationFilterStyles}
  .filter-wrapper {
    border: calc(var(--stroke-width) * 1px) solid var(--neutral-stroke-rest);
  }

  .close-icon {
    border: calc(var(--stroke-width) * 1px) solid transparent;
  }

  .close-icon:hover {
    border-color: var(--error-color);
    background: color-mix(in srgb, var(--error-color), transparent 75%);
  }

  .close-icon:hover svg path {
    fill: var(--error-color);
  }

  rapid-select {
    margin-bottom: calc(var(--design-unit) * 2px);
  }

  .flex-row rapid-text-field,
  .flex-row rapid-select {
    flex: 1;
  }
`;
