import { foundationFlipperStyles } from '@genesislcap/foundation-ui';
import { css } from '@microsoft/fast-element';
export const rapidFlipperStyles = (context, definition) => css `
  ${foundationFlipperStyles(context, definition)}
  :host {
    color: var(--neutral-foreground-rest);
  }

  :host(:hover) {
    color: var(--neutral-foreground-rest);
  }

  :host::before {
    background: color-mix(in srgb, var(--accent-fill-rest), transparent 50%);
    border: calc(var(--stroke-width) * 1px) solid var(--accent-fill-rest);
    color: var(--neutral-foreground-rest);
  }

  :host(:hover)::before {
    background: var(--accent-fill-rest);
    color: var(--neutral-foreground-rest);
  }
`;
