import { defaultListboxConfig, foundationListboxShadowOptions, Listbox as FoundationListbox, } from '@genesislcap/foundation-ui';
import { rapidListboxStyles as styles } from './listbox.styles';
import { rapidListboxTemplate as template } from './listbox.template';
/**
 * @tagname %%prefix%%-listbox
 */
export class Listbox extends FoundationListbox {
}
export const rapidListbox = Listbox.compose(Object.assign({ baseName: 'listbox', template,
    styles, shadowOptions: foundationListboxShadowOptions }, defaultListboxConfig));
