import { MenuItem as FoundationMenuItem, defaultMenuItemConfig, foundationMenuItemShadowOptions, } from '@genesislcap/foundation-ui';
import { rapidMenuItemStyles as styles } from './menu-item.styles';
import { rapidMenuItemTemplate as template } from './menu-item.template';
/**
 * @tagname %%prefix%%-menu
 */
export const rapidMenuItemShadowOptions = foundationMenuItemShadowOptions;
export class MenuItem extends FoundationMenuItem {
}
export const rapidMenuItem = MenuItem.compose(Object.assign({ baseName: 'menu-item', template,
    styles, shadowOptions: rapidMenuItemShadowOptions }, defaultMenuItemConfig));
