import { foundationRadioStyles } from '@genesislcap/foundation-ui';
import { css } from '@microsoft/fast-element';
export const rapidRadioStyles = (context, definition) => css `
  ${foundationRadioStyles(context, definition)}
  :host {
    margin: calc(var(--design-unit) * 2px) 0 calc(var(--design-unit) * 2px) 0;
  }

  :host .control {
    background: transparent;
  }

  :host([aria-checked='true']) .control {
    background: transparent;
    border: calc(var(--stroke-width) * 1px) solid var(--neutral-stroke-rest);
  }

  :host .label {
    padding-inline-start: calc(var(--design-unit) * 2px);
  }

  :host(:not([disabled])) .control:hover {
    background: transparent;
  }

  :host([aria-checked='true']:not([disabled])) .control:hover {
    background: transparent;
    border: calc(var(--stroke-width) * 1px) solid var(--neutral-stroke-hover);
  }

  .checked-indicator,
  :host([aria-checked='true']:not([disabled])) .control:hover .checked-indicator {
    background: var(--accent-fill-rest);
  }
`;
// TODO: have to add styles for medium and small variants
