import { defaultSearchBarConfig, foundationSearchBarShadowOptions, SearchBar as FoundationSearchBar, } from '@genesislcap/foundation-ui';
import { rapidSearchBarStyles as styles } from './search-bar.styles';
import { rapidSearchBarTemplate as template } from './search-bar.template';
/**
 * @tagname %%prefix%%-search-bar
 */
export class SearchBar extends FoundationSearchBar {
}
/**
 * The Rapid Search Bar
 *
 * @public
 * @remarks
 * HTML Element: \<rapid-search-bar\>
 */
export const rapidSearchBar = SearchBar.compose(Object.assign({ baseName: 'search-bar', template,
    styles, shadowOptions: foundationSearchBarShadowOptions }, defaultSearchBarConfig));
