import { SegmentedControl as FoundationSegmentedControl } from '@genesislcap/foundation-ui';
import { rapidSegmentedControlStyles as styles } from './segmented-control.styles';
import { rapidSegmentedControlTemplate as template } from './segmented-control.template';
/**
 * @tagname %%prefix%%-segmented-control
 */
export class SegmentedControl extends FoundationSegmentedControl {
}
// explicitly declaring for extensibility
export const rapidSegmentedControlShadowOptions = undefined;
export const defaultSegmentedControlConfig = {};
/**
 * The Rapid Segmented Control
 *
 * @public
 * @remarks
 * HTML Element: \<rapid-segmented-control\>
 */
export const rapidSegmentedControl = SegmentedControl.compose(Object.assign({ baseName: 'segmented-control', template,
    styles, shadowOptions: rapidSegmentedControlShadowOptions }, defaultSegmentedControlConfig));
