import { Radio as FoundationFoundationRadio } from '@genesislcap/foundation-ui';
import { rapidSegmentedItemStyles as styles } from './segmented-item.styles';
import { rapidSegmentedItemTemplate as template } from './segmented-item.template';
export class SegmentedItem extends FoundationFoundationRadio {
}
// explicitly declaring for extensibility
export const rapidSegmentedItemShadowOptions = undefined;
export const defaultSegmentedItemConfig = {};
/**
 * The Rapid Segmented item
 *
 * @public
 * @remarks
 * HTML Element: \<rapid-segmented-item\>
 */
export const rapidSegmentedItem = SegmentedItem.compose(Object.assign({ baseName: 'segmented-item', template,
    styles, shadowOptions: rapidSegmentedItemShadowOptions }, defaultSegmentedItemConfig));
