import { html } from 'lit-html';
const meta = {
    title: 'Select',
    component: 'rapid-select',
};
export default meta;
export const Primary = {
    args: {
        disabled: false,
    },
    render: ({ disabled }) => html `
    <div style="min-height: 300px;">
      <rapid-select .disabled="${disabled}">
        <rapid-option value="1">Rapid Option 1</rapid-option>
        <rapid-option value="2">Rapid Option 2</rapid-option>
        <rapid-option value="3">Rapid Option 3</rapid-option>
      </rapid-select>
    </div>
  `,
};
