import { defaultSliderConfig, foundationSliderShadowOptions, Slider as FoundationSlider, } from '@genesislcap/foundation-ui';
import { rapidSliderStyles as styles } from './slider.styles';
import { rapidSliderTemplate as template } from './slider.template';
/**
 * @tagname %%prefix%%-slider
 */
export class Slider extends FoundationSlider {
}
export const rapidSlider = Slider.compose(Object.assign({ baseName: 'slider', template,
    styles, shadowOptions: foundationSliderShadowOptions }, defaultSliderConfig));
