import { foundationSnackbarShadowOptions, Snackbar as FoundationSnackbar, } from '@genesislcap/foundation-ui';
import { rapidSnackbarStyles } from './snackbar.styles';
import { rapidSnackbarTemplate } from './snackbar.template';
export const rapidSnackbarShadowOptions = foundationSnackbarShadowOptions;
/**
 * @tagname %%prefix%%-snackbar
 */
export class Snackbar extends FoundationSnackbar {
}
/**
 * The Rapid Snackbar
 *
 * @public
 * @remarks
 * HTML Element: \<rapid-Snackbar\>
 */
export const rapidSnackbar = Snackbar.compose({
    baseName: 'snackbar',
    shadowOptions: rapidSnackbarShadowOptions,
    styles: rapidSnackbarStyles,
    template: rapidSnackbarTemplate,
});
