import { foundationSnackbarStyles } from '@genesislcap/foundation-ui';
import { css } from '@microsoft/fast-element';
export const rapidSnackbarStyles = css `
  ${foundationSnackbarStyles}
  .snackbar {
    border: calc(var(--stroke-width) * 1px) solid var(--neutral-layer-2);
    background-color: var(--neutral-layer-1);
    padding: calc((var(--design-unit) - 2) * 1px) calc(var(--design-unit) * 4px);
  }

  :host([type='error']) .snackbar::after {
    background-color: var(--error-color);
  }

  .content {
    font-family: var(--body-font);
    font-size: var(--type-ramp-minus-2-font-size);
    color: var(--neutral-foreground-rest);
  }

  .action {
    gap: calc(var(--design-unit) * 2px);
  }
`;
