import { defaultStepperTabConfig, foundationStepperTabShadowOptions, StepperTab as FoundationStepperTab, } from '@genesislcap/foundation-ui';
import { rapidStepperTabStyles as styles } from './stepper-tab.styles';
import { rapidStepperTabTemplate as template } from './stepper-tab.template';
/**
 * @tagname %%prefix%%-stepper-tab
 */
export class StepperTab extends FoundationStepperTab {
}
export const rapidStepperTab = StepperTab.compose(Object.assign({ baseName: 'stepper-tab', template,
    styles, shadowOptions: foundationStepperTabShadowOptions }, defaultStepperTabConfig));
