import { foundationStepperStyles } from '@genesislcap/foundation-ui';
import { css } from '@microsoft/fast-element';
export const rapidStepperStyles = css `
  ${foundationStepperStyles}

  :host {
    font-family: var(--body-font);
  }

  :host([orientation='horizontal']) {
    height: 100%;
  }

  .stepper-tab-panel {
    border: none;
    height: auto;
  }

  :host([orientation='horizontal']) .stepper-tab-panel {
    height: 100%;
  }

  .stepper-tab {
    background-color: var(--neutral-layer-3);
    border: none;
  }

  .stepper-panel-container {
    padding: calc(var(--design-unit) * 4px);
  }

  .action-buttons-container {
    padding: calc(var(--design-unit) * 2px);
    width: auto;
    gap: calc(var(--design-unit) * 2px);
  }

  .stepper-tab-menu {
    margin-bottom: calc(var(--design-unit) * 4px);
  }

  .stepper-tab-progress {
    padding: calc(var(--design-unit) * 4px) 0;
  }

  label {
    padding: 0 calc(var(--design-unit) * 2px);
    color: var(--neutral-foreground-hint);
  }
`;
