import { defaultTabPanelConfig, foundationTabPanelShadowOptions, TabPanel as FoundationTabPanel, } from '@genesislcap/foundation-ui';
import { rapidTabPanelStyles as styles } from './tab-panel.styles';
import { rapidTabPanelTemplate as template } from './tab-panel.template';
/**
 * @tagname %%prefix%%-tab-panel
 */
export class TabPanel extends FoundationTabPanel {
}
export const rapidTabPanel = TabPanel.compose(Object.assign({ baseName: 'tab-panel', template,
    styles, shadowOptions: foundationTabPanelShadowOptions }, defaultTabPanelConfig));
