import { defaultTextAreaConfig, foundationTextAreaShadowOptions, TextArea as FoundationTextArea, } from '@genesislcap/foundation-ui';
import { rapidTextAreaStyles as styles } from './text-area.styles';
import { rapidTextAreaTemplate as template } from './text-area.template';
/**
 * @tagname %%prefix%%-text-area
 */
export class TextArea extends FoundationTextArea {
}
export const rapidTextArea = TextArea.compose(Object.assign({ baseName: 'text-area', template,
    styles, shadowOptions: foundationTextAreaShadowOptions }, defaultTextAreaConfig));
