import { foundationToastTemplate as rapidToastTemplate, foundationToastShadowOptions, defaultToastConfig as foundationConfig, Toast as FoundationToast, } from '@genesislcap/foundation-ui';
import { rapidToastStyles } from './toast.styles';
export const defaultToastConfig = foundationConfig;
export const rapidToastShadowOptions = foundationToastShadowOptions;
/**
 * @tagname %%prefix%%-toast
 */
export class Toast extends FoundationToast {
}
/**
 * The rapid Toast
 *
 * @public
 * @remarks
 * HTML Element: \<rapid-toast\>
 */
export const rapidToast = Toast.compose(Object.assign({ baseName: 'toast', shadowOptions: rapidToastShadowOptions, styles: rapidToastStyles, template: rapidToastTemplate }, defaultToastConfig));
