import { defaultToolbarConfig, foundationToolbarShadowOptions, Toolbar as FoundationToolbar, } from '@genesislcap/foundation-ui';
import { rapidToolbarStyles as styles } from './toolbar.styles';
import { rapidToolbarTemplate as template } from './toolbar.template';
/**
 * @tagname %%prefix%%-toolbar
 */
export class Toolbar extends FoundationToolbar {
}
export const rapidToolbar = Toolbar.compose(Object.assign({ baseName: 'toolbar', template,
    styles, shadowOptions: foundationToolbarShadowOptions }, defaultToolbarConfig));
