import { html } from 'lit-html';
const meta = {
    title: 'Toolbar',
    component: 'rapid-toolbar',
};
export default meta;
export const Primary = {
    render: () => html `
    <rapid-toolbar>
      <rapid-button slot="start">
        <rapid-icon name="home" slot="start"></rapid-icon>
        Home
      </rapid-button>
      <rapid-checkbox>Checkbox</rapid-checkbox>
      <rapid-checkbox>Checkbox</rapid-checkbox>
      <rapid-button>Rapid Button 1</rapid-button>
      <rapid-button>Rapid Button 2</rapid-button>
      <rapid-button>Rapid Button 3</rapid-button>
      <rapid-button slot="end">
        <rapid-icon name="power-off" slot="start"></rapid-icon>
        Sign Out
      </rapid-button>
      <rapid-select>
        <rapid-option value="1">Rapid Option 1</rapid-option>
        <rapid-option value="2">Rapid Option 2</rapid-option>
        <rapid-option value="3">Rapid Option 3</rapid-option>
      </rapid-select>
    </rapid-toolbar>
  `,
};
