import { foundationTooltipStyles } from '@genesislcap/foundation-ui';
import { css } from '@microsoft/fast-element';
export const rapidTooltipStyles = (context, definition) => css `
  ${foundationTooltipStyles(context, definition)}

  :host {
    visibility: visible;
  }

  .tooltip {
    padding: calc((var(--design-unit) - 1) * 2px) calc(var(--design-unit) * 2px);
    text-align: center;
    white-space: inherit;
    font-weight: 400;
  }

  alpha-anchored-region.bottom .tooltip {
    margin-top: calc(var(--design-unit) * 1px);
    margin-left: calc(var(--design-unit) * 2px);
  }

  alpha-anchored-region.top.right .tooltip,
  alpha-anchored-region.bottom.right .tooltip {
    margin-left: 0;
  }
`;
