import { foundationTreeItemShadowOptions, TreeItem as FoundationTreeItem, } from '@genesislcap/foundation-ui';
import { rapidTreeItemStyles as styles } from './tree-item.styles';
import { rapidTreeItemTemplate as template } from './tree-item.template';
/**
 * @tagname %%prefix%%-tree-item
 */
export class TreeItem extends FoundationTreeItem {
}
export const defaultRapidTreeItemConfig = {
    expandCollapseGlyph: `
  <svg viewBox="0 0 16 16" xmlns="http://www.w3.org/2000/svg" class="expand-collapse-glyph">
  <path d="M4.023 15.273L11.29 8 4.023.727l.704-.704L12.71 8l-7.984 7.977-.704-.704z"/>
  </svg>`,
};
export const rapidTreeItem = TreeItem.compose(Object.assign({ baseName: 'tree-item', template,
    styles, shadowOptions: foundationTreeItemShadowOptions }, defaultRapidTreeItemConfig));
