import { foundationUrlInputStyles } from '@genesislcap/foundation-ui';
import { css } from '@microsoft/fast-element';
export const rapidUrlInputStyles = (context, definition) => css `
  ${foundationUrlInputStyles(context, definition)}
  a {
    color: var(--accent-fill-rest);
    opacity: 65%;
  }

  a:hover {
    opacity: 100%;
  }

  .url-input-link {
    font-family: var(--body-font);
    font-size: var(--type-ramp-base-font-size);
    top: calc(((var(--base-height-multiplier) + var(--density)) * var(--design-unit)) / 2 * 1px);
  }
`;
