import { Flyout as FoundationFlyout } from '@genesislcap/foundation-ui';
export declare const defaultFlyoutConfig: {};
export declare const rapidFlyoutShadowOptions: ShadowRootInit;
/**
 * @tagname %%prefix%%-flyout
 */
export declare class Flyout extends FoundationFlyout {
}
/**
 * The Rapid Flyout
 *
 * @public
 * @remarks
 * HTML Element: \<rapid-flyout\>
 */
export declare const rapidFlyout: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    shadowOptions: ShadowRootInit;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<Flyout, any>;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    shadowOptions: ShadowRootInit;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<Flyout, any>;
}, typeof Flyout>;
//# sourceMappingURL=flyout.d.ts.map