import { parseColorHexRGB } from '@microsoft/fast-colors';
import { PaletteRGB, SwatchRGB } from '@microsoft/fast-components';
/**
 * @internal
 */
export const rapidBGColorHEX = '#585858';
const rapidBGColor = parseColorHexRGB(rapidBGColorHEX);
export const rapidDefaultFillColor = SwatchRGB.create(rapidBGColor.r, rapidBGColor.g, rapidBGColor.b);
/**
 * @internal
 */
const rapidCardBGColor = parseColorHexRGB('#202126');
export const rapidDefaultCardFillColor = SwatchRGB.create(rapidCardBGColor.r, rapidCardBGColor.g, rapidCardBGColor.b);
export const rapidDefaultCardPalette = PaletteRGB.from(rapidDefaultCardFillColor);
