import { Accordion as foundationAccordion, defaultAccordionConfig, foundationAccordionShadowOptions, } from '@genesislcap/foundation-ui';
import { rapidAccordionStyles as styles } from './accordion.styles';
import { rapidAccordionTemplate as template } from './accordion.template';
/**
 * @tagname %%prefix%%-accordion
 */
export class Accordion extends foundationAccordion {
}
export const rapidAccordion = Accordion.compose(Object.assign({ baseName: 'accordion', template,
    styles, shadowOptions: foundationAccordionShadowOptions }, defaultAccordionConfig));
