import { ActionsMenu as FoundationActionsMenu, foundationActionsMenuTemplate as template, } from '@genesislcap/foundation-ui';
import { rapidActionsMenuStyles as styles } from './actions-menu.styles';
/**
 * @tagname %%prefix%%-actions-menu
 */
export class ActionsMenu extends FoundationActionsMenu {
}
/**
 * The Rapid Actions Menu
 *
 * @public
 * @remarks
 * HTML Element: \<rapid-actions-menu\>
 */
export const rapidActionsMenu = ActionsMenu.compose({
    baseName: 'actions-menu',
    styles,
    template,
});
