import { Avatar as FoundationAvatar, defaultAvatarConfig, foundationAvatarShadowOptions, } from '@genesislcap/foundation-ui';
import { rapidAvatarStyles as styles } from './avatar.styles';
import { rapidAvatarTemplate as template } from './avatar.template';
/**
 * @tagname %%prefix%%-avatar
 */
export class Avatar extends FoundationAvatar {
}
export const rapidAvatar = Avatar.compose(Object.assign({ baseName: 'avatar', template,
    styles, shadowOptions: foundationAvatarShadowOptions }, defaultAvatarConfig));
