import { foundationBannerTemplate as rapidBannerTemplate, foundationBannerShadowOptions, Banner as FoundationBanner, } from '@genesislcap/foundation-ui';
import { rapidBannerStyles } from './banner.styles';
export const rapidBannerShadowOptions = foundationBannerShadowOptions;
/**
 * @tagname %%prefix%%-banner
 */
export class Banner extends FoundationBanner {
}
/**
 * The Rapid Banner
 *
 * @public
 * @remarks
 * HTML Element: \<rapid-banner\>
 */
export const rapidBanner = Banner.compose({
    baseName: 'banner',
    shadowOptions: rapidBannerShadowOptions,
    styles: rapidBannerStyles,
    template: rapidBannerTemplate,
});
