import { Button as FoundationButton, defaultButtonConfig, foundationButtonShadowOptions, } from '@genesislcap/foundation-ui';
import { rapidButtonStyles as styles } from './button.styles';
import { rapidButtonTemplate as template } from './button.template';
/**
 * @tagname %%prefix%%-button
 */
export class Button extends FoundationButton {
}
export const rapidButton = Button.compose(Object.assign({ baseName: 'button', template,
    styles, shadowOptions: foundationButtonShadowOptions }, defaultButtonConfig));
