import { html } from 'lit-html';
const meta = {
    title: 'Calendar',
    component: 'rapid-calendar',
};
export default meta;
const wrapperStyle = 'height: 400px; width: 100%;';
export const Primary = {
    args: {},
    render: () => html `
    <div style="${wrapperStyle}">
      <rapid-calendar
        id="zCalendar"
        month="${new Date().getMonth() + 1}"
        year="${new Date().getFullYear()}"
        month-format="short"
        weekday-format="narrow"
        disabled-dates="${new Date().getMonth() + 1}-${new Date().getDate() > 1
        ? new Date().getDate() - 1
        : new Date().getDate() + 2}-${new Date().getFullYear()}"
        selected-dates="${new Date().getMonth() +
        1}-${new Date().getDate()}-${new Date().getFullYear()}"
      >
        <div
          slot="${new Date().getMonth() + 1}-${new Date().getDate()}-${new Date().getFullYear()}"
        >
          Test slot
        </div>
      </rapid-calendar>
    </div>
  `,
};
