import { Card as FoundationCard, defaultCardConfig, foundationCardShadowOptions, } from '@genesislcap/foundation-ui';
import { rapidCardStyles as styles } from './card.styles';
import { rapidCardTemplate as template } from './card.template';
/**
 * @tagname %%prefix%%-card
 */
export class Card extends FoundationCard {
}
export const rapidCard = Card.compose(Object.assign({ baseName: 'card', template,
    styles, shadowOptions: foundationCardShadowOptions }, defaultCardConfig));
