import { foundationConnectionIndicatorStyles } from '@genesislcap/foundation-ui';
import { css } from '@microsoft/fast-element';
export const rapidConnectionIndicatorStyles = (context, definition) => css `
  ${foundationConnectionIndicatorStyles(context, definition)}
  :host {
    --light-size: calc(var(--design-unit) * 3px);
    --red: var(--error-color);
    --trafic-light-red: color-mix(in srgb, var(--red), transparent 0%);
    --trafic-light-red-glow: color-mix(in srgb, var(--red), transparent 60%) 0 0 4px 4px,
      color-mix(in srgb, var(--red), transparent 80%) 0 0 8px 8px;
    --green: var(--success-color);
    --trafic-light-green: color-mix(in srgb, var(--green), transparent 0%);
    --trafic-light-green-glow: color-mix(in srgb, var(--green), transparent 60%) 0 0 4px 4px,
      color-mix(in srgb, var(--green), transparent 80%) 0 0 8px 8px;
  }

  .light {
    margin: calc(var(--design-unit) * 4px);
  }

  .label {
    font-family: var(--body-font);
    font-size: var(--type-ramp-base-font-size);
    color: var(--neutral-stroke-rest);
  }
`;
