import { DatePicker as FoundationDatePicker } from '@genesislcap/foundation-ui';
import { rapidDatePickerStyles as styles } from './date-picker.styles';
import { rapidDatePickerTemplate as template } from './date-picker.template';
export const rapidDatePickerShadowOptions = undefined;
export const defaultDatePickerConfig = {};
/**
 * @tagname %%prefix%%-date-picker
 */
export class DatePicker extends FoundationDatePicker {
}
export const rapidDatePicker = DatePicker.compose(Object.assign({ baseName: 'date-picker', template,
    styles, shadowOptions: rapidDatePickerShadowOptions }, defaultDatePickerConfig));
