import { html } from 'lit-html';
const meta = {
    title: 'Date Picker',
    component: 'rapid-date-picker',
};
export default meta;
const wrapperStyle = 'display: flex; flex-direction: row; justify-content: center; width: 100%; height: 500px;';
export const Primary = {
    args: {
        firstDataPickerValue: '01-01-2021',
        secondDatePickerFormat: 'MMMM/DD/YY',
        thirdDatePickerFormat: 'MMM/ddd/YYYY',
        thirdDatePickerValue: '01-01-2023',
        label: 'Date Picker',
    },
    render: ({ firstDataPickerValue, secondDatePickerFormat, thirdDatePickerFormat, thirdDatePickerValue, label, }) => html `
    <div style="${wrapperStyle}">
      <div>
        <rapid-date-picker value="${firstDataPickerValue}" label="${label}"></rapid-date-picker>
        <rapid-date-picker format="${secondDatePickerFormat}"></rapid-date-picker>
        <rapid-date-picker
          format="${thirdDatePickerFormat}"
          value="${thirdDatePickerValue}"
        ></rapid-date-picker>
      </div>
    </div>
  `,
};
