import { foundationDatePickerStyles } from '@genesislcap/foundation-ui';
import { css } from '@microsoft/fast-element';
export const rapidDatePickerStyles = () => css `
  ${foundationDatePickerStyles}

  :host {
    --primary-gradient-angle: -113.5deg;

    display: inline-block;
  }

  .calendar-dropdown {
    border: calc(var(--stroke-width) * 1px) solid var(--neutral-stroke-rest);
    background: var(--neutral-fill-input-rest);
    top: auto;
    margin: 0;
    font-family: var(--body-font);
    font-size: var(--type-ramp-base-font-size);
    line-height: var(--type-ramp-base-line-height);
  }

  .icon-container:hover {
    background-color: var(--neutral-fill-hover);
    color: var(--neutral-foreground-rest);
  }

  .week-days,
  .header h3,
  .header .months-arrows .icon-container rapid-icon {
    color: var(--neutral-stroke-rest);
  }

  .header .icon-container {
    width: calc((var(--base-height-multiplier) * (var(--design-unit) - 1)) * 1px);
    height: calc((var(--base-height-multiplier) * (var(--design-unit) - 1)) * 1px);
    border-radius: calc(var(--control-corner-radius) * 1px);
    background-color: var(--neutral-fill-input-rest);
  }

  .header .months-arrows .icon-container {
    background-color: var(--neutral-fill-rest);
  }

  .header .months-arrows .icon-container:hover {
    background-color: var(--neutral-fill-hover);
    color: var(--neutral-foreground-rest);
  }

  .header .months-arrows .icon-container:hover rapid-icon {
    color: var(--neutral-stroke-hover);
  }

  .month-day.current {
    color: var(--neutral-foreground-rest);
  }

  .input-icon-container {
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: calc(var(--control-corner-radius) * 1px);
    width: calc((var(--base-height-multiplier) * (var(--design-unit) - 1)) * 1px);
    height: calc((var(--base-height-multiplier) * (var(--design-unit) - 1)) * 1px);
  }

  .input-icon-container:hover {
    background-color: var(--neutral-fill-rest);
  }

  .date-toggle::part(end) {
    margin-inline-end: calc(var(--design-unit) * 1px);
  }

  .date-toggle {
    margin-bottom: 0;
  }

  .month-day {
    width: calc(((var(--base-height-multiplier) * (var(--design-unit) - 1)) + 2) * 1px);
    height: calc(((var(--base-height-multiplier) * (var(--design-unit) - 1)) + 2) * 1px);
  }

  .week-days span {
    font-size: var(--type-ramp-minus-2-font-size);
  }
`;
