import { Dialog as FoundationDialog, foundationDialogTemplate, foundationDialogShadowOptions, defaultDialogConfig as foundationConfig, } from '@genesislcap/foundation-ui';
import { rapidDialogStyles } from './dialog.styles';
export const defaultDialogConfig = foundationConfig;
export const rapidDialogTemplate = foundationDialogTemplate;
export const rapidDialogShadowOptions = foundationDialogShadowOptions;
/**
 * @tagname %%prefix%%-dialog
 */
export class Dialog extends FoundationDialog {
}
/**
 * The Rapid Dialog
 *
 * @public
 * @remarks
 * HTML Element: \<rapid-dialog\>
 */
export const rapidDialog = Dialog.compose(Object.assign({ baseName: 'dialog', shadowOptions: rapidDialogShadowOptions, styles: rapidDialogStyles, template: rapidDialogTemplate }, defaultDialogConfig));
