import { foundationFileUploadStyles } from '@genesislcap/foundation-ui';
import { css } from '@microsoft/fast-element';
export const rapidFileUploadStyles = css `
  ${foundationFileUploadStyles}
  ::-webkit-scrollbar {
    width: calc(var(--design-unit) * 3px);
  }

  ::-webkit-scrollbar-track {
    background: rgb(31 33 38);
  }

  ::-webkit-scrollbar-thumb {
    width: 8px;
    border-radius: 10px;
    box-shadow: inset 0 0 6px rgba(0 0 0 / 30%);
    background-color: var(--neutral-fill-rest);
    border: calc(var(--stroke-width) * 3px) solid var(--neutral-layer-4);
  }

  :host::part(select-file-button),
  :host::part(upload-file-button) {
    margin: 0 0 calc(var(--design-unit) * 2px) calc(var(--design-unit) * 2px);
  }
`;
