import { FilterBar as FoundationFilterBar } from '@genesislcap/foundation-ui';
import { rapidFilterBarStyles as styles } from './filter-bar.styles';
import { rapidFilterBarTemplate as template } from './filter-bar.template';
/**
 * @tagname %%prefix%%-filter-bar
 */
export class FilterBar extends FoundationFilterBar {
}
/**
 * The Rapid Filter
 *
 * @public
 * @remarks
 * HTML Element: \<rapid-filter-bar\>
 */
export const rapidFilterBar = FilterBar.compose({
    baseName: 'filter-bar',
    template,
    styles,
});
