import { foundationFilterBarStyles } from '@genesislcap/foundation-ui';
import { css } from '@microsoft/fast-element';
export const rapidFilterBarStyles = (context, definition) => css `
  ${foundationFilterBarStyles(context, definition)}
  .toggle,
  .toggle-collapsed {
    background: var(--neutral-layer-4);
    color: var(--neutral-foreground-hint);
  }

  .toggle {
    border-top: calc(var(--stroke-width) * 2px) solid;
  }

  .toggle:hover,
  .toggle-collapsed:hover {
    color: var(--accent-foreground-rest);
  }

  .filter-bar {
    background: var(--neutral-layer-3);
  }
`;
