import { defaultFlyoutConfig as foundationConfig, Flyout as FoundationFlyout, foundationFlyoutShadowOptions, } from '@genesislcap/foundation-ui';
import { rapidFlyoutStyles } from './flyout.styles';
import { rapidFlyoutTemplate as template } from './flyout.template';
export const defaultFlyoutConfig = foundationConfig;
export const rapidFlyoutShadowOptions = foundationFlyoutShadowOptions;
/**
 * @tagname %%prefix%%-flyout
 */
export class Flyout extends FoundationFlyout {
}
/**
 * The Rapid Flyout
 *
 * @public
 * @remarks
 * HTML Element: \<rapid-flyout\>
 */
export const rapidFlyout = Flyout.compose(Object.assign({ baseName: 'flyout', shadowOptions: rapidFlyoutShadowOptions, styles: rapidFlyoutStyles, template }, defaultFlyoutConfig));
