import { Icon as FoundationIcon, defaultIconConfig as foundationIconConfig, foundationIconShadowOptions, } from '@genesislcap/foundation-ui';
import { rapidIconStyles as styles } from './icon.styles';
import { rapidIconTemplate as template } from './icon.template';
/**
 * @tagname %%prefix%%-icon
 */
export class Icon extends FoundationIcon {
}
export const defaultIconConfig = foundationIconConfig;
export const rapidIconShadowOptions = foundationIconShadowOptions;
export const rapidIcon = Icon.compose(Object.assign({ baseName: 'icon', template,
    styles, shadowOptions: rapidIconShadowOptions }, defaultIconConfig));
