import { foundationListboxOptionStyles } from '@genesislcap/foundation-ui';
import { css } from '@microsoft/fast-element';
export const rapidListboxOptionStyles = (context, definition) => css `
  ${foundationListboxOptionStyles(context, definition)}
  :host {
    border-radius: 0;
    padding: 0 calc(var(--design-unit) * 4px);
    height: calc(
      (((var(--base-height-multiplier) + var(--density)) * var(--design-unit)) - 4) * 1px
    );
    border-bottom: calc(var(--stroke-width) * 1px) solid var(--neutral-stroke-rest);
  }

  :host(.selected),
  :host(:not([disabled])[aria-selected='true']:active),
  :host(:not([disabled])[aria-selected='true']:hover) {
    background: var(--neutral-layer-4);
    color: var(--accent-fill-rest);
  }
`;
// TODO: adjust margin on host
