import { Menu as FoundationMenu, defaultMenuConfig, foundationMenuShadowOptions, } from '@genesislcap/foundation-ui';
import { rapidMenuStyles as styles } from './menu.styles';
import { rapidMenuTemplate as template } from './menu.template';
/**
 * @tagname %%prefix%%-menu
 */
export class Menu extends FoundationMenu {
}
export const rapidMenu = Menu.compose(Object.assign({ baseName: 'menu', template,
    styles, shadowOptions: foundationMenuShadowOptions }, defaultMenuConfig));
