import { Modal as FoundationModal, foundationModalTemplate, foundationModalShadowOptions, defaultModalConfig as foundationConfig, } from '@genesislcap/foundation-ui';
import { rapidModalStyles } from './modal.styles';
export const defaultModalConfig = foundationConfig;
export const rapidModalTemplate = foundationModalTemplate;
export const rapidModalShadowOptions = foundationModalShadowOptions;
/**
 * @tagname %%prefix%%-modal
 */
export class Modal extends FoundationModal {
}
/**
 * The Rapid Modal
 *
 * @public
 * @remarks
 * HTML Element: \<rapid-modal\>
 */
export const rapidModal = Modal.compose(Object.assign({ baseName: 'modal', shadowOptions: rapidModalShadowOptions, styles: rapidModalStyles, template: rapidModalTemplate }, defaultModalConfig));
