import { NumberField as FoundationNumberField, defaultNumberFieldConfig as foundationNumberFieldConfig, foundationNumberFieldShadowOptions, foundationNumberFieldTemplate as foundationNumberFieldTemplate, } from '@genesislcap/foundation-ui';
import { rapidNumberFieldStyles as styles } from './number-field.styles';
/**
 * @tagname %%prefix%%-number-field
 */
export class NumberField extends FoundationNumberField {
}
export const defaultNumberFieldConfig = foundationNumberFieldConfig;
export const rapidNumberFieldTemplate = foundationNumberFieldTemplate;
export const rapidNumberFieldShadowOptions = foundationNumberFieldShadowOptions;
export const rapidNumberField = NumberField.compose(Object.assign({ baseName: 'number-field', template: rapidNumberFieldTemplate, styles, shadowOptions: rapidNumberFieldShadowOptions }, defaultNumberFieldConfig));
