import { defaultProgressConfig, foundationProgressShadowOptions, Progress as FoundationProgress, } from '@genesislcap/foundation-ui';
import { rapidProgressStyles as styles } from './progress.styles';
import { rapidProgressTemplate as template } from './progress.template';
/**
 * @tagname %%prefix%%-progress
 */
export class Progress extends FoundationProgress {
}
export const rapidProgress = Progress.compose(Object.assign({ baseName: 'progress', template,
    styles, shadowOptions: foundationProgressShadowOptions }, defaultProgressConfig));
