import { defaultRadioGroupConfig, foundationRadioGroupShadowOptions, RadioGroup as FoundationRadioGroup, } from '@genesislcap/foundation-ui';
import { rapidRadioGroupStyles as styles } from './radio-group.styles';
import { rapidRadioGroupTemplate as template } from './radio-group.template';
/**
 * @tagname %%prefix%%-radio-group
 */
export class RadioGroup extends FoundationRadioGroup {
}
export const rapidRadioGroup = RadioGroup.compose(Object.assign({ baseName: 'radio-group', template,
    styles, shadowOptions: foundationRadioGroupShadowOptions }, defaultRadioGroupConfig));
