import { defaultSearchBarComboboxConfig, foundationSearchBarComboboxShadowOptions, SearchBarCombobox as FoundationSearchBarCombobox, } from '@genesislcap/foundation-ui';
import { rapidSearchBarComboboxStyles as styles } from './search-bar-combobox.styles';
import { rapidSearchBarComboboxTemplate as template } from './search-bar-combobox.template';
/**
 * @tagname %%prefix%%-search-bar-combobox
 */
export class SearchBarCombobox extends FoundationSearchBarCombobox {
}
/**
 * The Rapid Search Bar Combobox
 *
 * @public
 * @remarks
 * HTML Element: \<rapid-search-bar-combobox\>
 */
export const rapidSearchBarCombobox = SearchBarCombobox.compose(Object.assign({ baseName: 'search-bar-combobox', template,
    styles, shadowOptions: foundationSearchBarComboboxShadowOptions }, defaultSearchBarComboboxConfig));
