import { foundationSegmentedItemStyles } from '@genesislcap/foundation-ui';
import { css } from '@microsoft/fast-element';
export const rapidSegmentedItemStyles = (context, definition) => css `
  ${foundationSegmentedItemStyles(context, definition)}
  :host {
    color: var(--neutral-fill-strong-rest);
    font-size: var(--type-ramp-minus-2-font-size);
    font-weight: 500;
    border: calc(var(--stroke-width) * 1px) solid var(--neutral-stroke-rest);
  }

  :host([aria-checked='true']) {
    color: color-mix(in srgb, white, transparent 10%);
  }
`;
