import { defaultSelectConfig, foundationSelectShadowOptions, Select as FoundationSelect, } from '@genesislcap/foundation-ui';
import { rapidSelectStyles as styles } from './select.styles';
import { rapidSelectTemplate as template } from './select.template';
/**
 * @tagname %%prefix%%-select
 */
export class Select extends FoundationSelect {
}
export const rapidSelect = Select.compose(Object.assign({ baseName: 'select', template,
    styles, shadowOptions: foundationSelectShadowOptions }, defaultSelectConfig));
