import { foundationSliderLabelStyles } from '@genesislcap/foundation-ui';
import { css } from '@microsoft/fast-element';
export const rapidSliderLabelStyles = (context, definition) => css `
  ${foundationSliderLabelStyles(context, definition)}
  .label {
    padding: calc((var(--design-unit) - 1) * 2px) calc(var(--design-unit) * 2px);
    border-radius: calc(var(--control-corner-radius) * 1px);
    border: calc(var(--stroke-width) * 1px) solid var(--neutral-layer-4);
    background-color: var(--neutral-fill-strong-hover);
    color: var(--neutral-layer-4);
    text-align: center;
    font-size: var(--type-ramp-minus-1-font-size, 12px);
  }
`;
