import { foundationSwitchShadowOptions, Switch as FoundationSwitch, } from '@genesislcap/foundation-ui';
import { rapidSwitchStyles as styles } from './switch.styles';
import { rapidSwitchTemplate as template } from './switch.template';
export const defaultSwitchConfig = {
    switch: `<div class="checked-indicator" part="checked-indicator"></div>`,
};
/**
 * @tagname %%prefix%%-switch
 */
export class Switch extends FoundationSwitch {
}
export const rapidSwitch = Switch.compose(Object.assign({ baseName: 'switch', template,
    styles, shadowOptions: foundationSwitchShadowOptions }, defaultSwitchConfig));
