import { foundationSwitchStyles } from '@genesislcap/foundation-ui';
import { css } from '@microsoft/fast-element';
export const rapidSwitchStyles = (context, definition) => css `
  ${foundationSwitchStyles(context, definition)}
  :host {
    --primary-gradient-angle: -113.5deg;
  }

  .switch {
    background: none;
    border-color: var(--neutral-stroke-rest);
  }

  .checked-indicator {
    background-color: var(--neutral-stroke-rest);
  }

  .switch:hover {
    border-color: var(--neutral-stroke-rest);
    background: none;
  }

  :host([aria-checked='true']) .switch {
    background: none;
  }

  :host([aria-checked='true']) .checked-indicator {
    background: var(--accent-fill-rest);
  }

  :host([aria-checked='true']:not([disabled])) .switch:hover,
  :host([aria-checked='true']:not([disabled])) .switch:active {
    background: none;
  }

  :host([aria-checked='true']:not([disabled])) .switch:hover .checked-indicator,
  :host([aria-checked='true']:not([disabled])) .switch:active .checked-indicator {
    background: var(--accent-fill-rest);
  }
`;
