import { defaultTabConfig, foundationTabShadowOptions, Tab as FoundationTab, } from '@genesislcap/foundation-ui';
import { rapidTabStyles as styles } from './tab.styles';
import { rapidTabTemplate as template } from './tab.template';
/**
 * @tagname %%prefix%%-tab
 */
export class Tab extends FoundationTab {
}
export const rapidTab = Tab.compose(Object.assign({ baseName: 'tab', template,
    styles, shadowOptions: foundationTabShadowOptions }, defaultTabConfig));
