import { foundationTabStyles } from '@genesislcap/foundation-ui';
import { css } from '@microsoft/fast-element';
export const rapidTabStyles = (context, definition) => css `
  ${foundationTabStyles(context, definition)}
  :host {
    background-color: var(--neutral-layer-2);
    border-radius: calc(var(--control-corner-radius) * 2px) calc(var(--control-corner-radius) * 2px);
    box-shadow: 0 0 15px 0 rgb(0 0 0 / 30%);
    margin-right: calc(var(--design-unit) * 5px);
  }

  :host([aria-selected='true']),
  :host([aria-selected='true']:hover) {
    background-color: var(--neutral-layer-4);
  }
`;
